dav1d 1.5.1 dav1d is an AV1 decoder |

Loading...
Searching...
No Matches
Data Fields
Dav1dFilmGrainData Struct Reference

`#include <headers.h>`

## Data Fields
unsigned | seed
int | num_y_points
uint8_t | y_points [14][2]
int | chroma_scaling_from_luma
int | num_uv_points [2]
uint8_t | uv_points [2][10][2]
int | scaling_shift
int | ar_coeff_lag
int8_t | ar_coeffs_y [24]
int8_t | ar_coeffs_uv [2][25+3]
uint64_t | ar_coeff_shift
int | grain_scale_shift
int | uv_mult [2]
int | uv_luma_mult [2]
int | uv_offset [2]
int | overlap_flag
int | clip_to_restricted_range

## Field Documentation

## ◆ ar_coeff_lag

int Dav1dFilmGrainData::ar_coeff_lag

## ◆ ar_coeff_shift

uint64_t Dav1dFilmGrainData::ar_coeff_shift

## ◆ ar_coeffs_uv

int8_t Dav1dFilmGrainData::ar_coeffs_uv[2][25+3]

## ◆ ar_coeffs_y

int8_t Dav1dFilmGrainData::ar_coeffs_y[24]

## ◆ chroma_scaling_from_luma

int Dav1dFilmGrainData::chroma_scaling_from_luma

## ◆ clip_to_restricted_range

int Dav1dFilmGrainData::clip_to_restricted_range

## ◆ grain_scale_shift

int Dav1dFilmGrainData::grain_scale_shift

## ◆ num_uv_points

int Dav1dFilmGrainData::num_uv_points[2]

## ◆ num_y_points

int Dav1dFilmGrainData::num_y_points

## ◆ overlap_flag

int Dav1dFilmGrainData::overlap_flag

## ◆ scaling_shift

int Dav1dFilmGrainData::scaling_shift

## ◆ seed

unsigned Dav1dFilmGrainData::seed

## ◆ uv_luma_mult

int Dav1dFilmGrainData::uv_luma_mult[2]

## ◆ uv_mult

int Dav1dFilmGrainData::uv_mult[2]

## ◆ uv_offset

int Dav1dFilmGrainData::uv_offset[2]

## ◆ uv_points

uint8_t Dav1dFilmGrainData::uv_points[2][10][2]

## ◆ y_points

uint8_t Dav1dFilmGrainData::y_points[14][2]

The documentation for this struct was generated from the following file:

- dav1d/headers.h